<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<feature
      id="org.eclipse.lsat.feature"
      label="LSAT Feature (Incubation)"
      version="0.1.0.v20221012-125030-RC1"
      provider-name="%providerName"
      plugin="org.eclipse.lsat.branding">

   <description>
      Eclipse LSAT core

A domain-specific language to model the system.
The uncontrolled system is specified in terms of resources, peripherals, actions, motion profiles, and high-level activities.
Eclipse LSAT provides design-time feedback to the user and validates that the specification is consistent.
The system specification can also be done using graphical editors for the motion profiles and activity specifications.
   </description>

   <copyright>
      %copyright
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.sirius.runtime.ide.ui" version="4.1.3" match="greaterOrEqual"/>
      <import feature="org.eclipse.sirius.runtime.ide.xtext" version="4.1.3" match="greaterOrEqual"/>
      <import feature="org.eclipse.elk.feature" version="0.2.0" match="equivalent"/>
      <import feature="org.eclipse.elk.gmf.feature" version="0.2.0" match="equivalent"/>
      <import feature="org.eclipse.elk.ui.feature" version="0.2.0" match="equivalent"/>
      <import feature="org.eclipse.xtext.runtime" version="2.10.0" match="greaterOrEqual"/>
      <import feature="org.eclipse.sirius.properties.feature" version="4.1.3" match="greaterOrEqual"/>
      <import feature="org.eclipse.trace4cps.common.jfreechart.feature" version="0.1.0" match="equivalent"/>
      <import feature="org.eclipse.lsat.common.emf.feature" version="0.1.0" match="equivalent"/>
      <import plugin="org.eclipse.lsat.common.queries" version="0.1.0" match="equivalent"/>
      <import plugin="org.eclipse.lsat.common.xtend" version="0.1.0" match="equivalent"/>
      <import plugin="com.google.inject" version="3.0.0" match="compatible"/>
   </requires>

   <plugin
         id="org.eclipse.lsat.activity.diagram.design"
         download-size="62"
         install-size="135"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.activity.dsl"
         download-size="208"
         install-size="559"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.activity.teditor"
         download-size="210"
         install-size="548"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.activity.teditor.ui"
         download-size="43"
         install-size="103"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.dsl"
         download-size="295"
         install-size="800"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.teditor"
         download-size="170"
         install-size="435"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.teditor.ui"
         download-size="36"
         install-size="82"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.setting.dsl"
         download-size="440"
         install-size="1028"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.setting.teditor"
         download-size="182"
         install-size="482"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.setting.teditor.ui"
         download-size="45"
         install-size="103"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.setting.design"
         download-size="16"
         install-size="37"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.documentation"
         download-size="4348"
         install-size="5288"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.common.graph.directed.editable"
         download-size="117"
         install-size="249"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.design"
         download-size="27"
         install-size="102"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.dsl.edit"
         download-size="90"
         install-size="169"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.contributions.ui"
         download-size="42"
         install-size="81"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.timing"
         download-size="93"
         install-size="202"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.intro"
         download-size="13"
         install-size="17"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.activity.diagram.layout"
         download-size="58"
         install-size="130"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.examples"
         download-size="148"
         install-size="1602"
         version="0.1.0.v20221012-125030-RC1"/>

   <plugin
         id="org.eclipse.lsat.sirius_xtext.ui"
         download-size="13"
         install-size="20"
         version="0.1.0.v20221012-125030-RC1"
         fragment="true"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.activity.teditor.ide"
         download-size="90"
         install-size="343"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.teditor.ide"
         download-size="90"
         install-size="392"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.setting.teditor.ide"
         download-size="91"
         install-size="397"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.motioncalculator.json.native"
         download-size="17"
         install-size="25"
         version="0.0.1.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.motioncalculator.api"
         download-size="29"
         install-size="55"
         version="0.0.1.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.motioncalculator.json"
         download-size="17"
         install-size="31"
         version="0.0.1.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.activity.teditor.ide"
         download-size="90"
         install-size="343"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.machine.teditor.ide"
         download-size="90"
         install-size="392"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.setting.teditor.ide"
         download-size="91"
         install-size="397"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

</feature>
